# $Revision: 1.18 $, $Date: 2007/02/12 21:23:53 $
Summary:	A fraktal tree
Summary(es.UTF-8):	Un árbol fractal
Summary(pl.UTF-8):	Drzewko fraktalne
Name:		drzefko
Version:	0.5.0
Release:	3
License:	GPL
Group:		X11/Amusements
Source0:	http://chimera.one.pl/~wolf/drzefko/s/%{name}-%{version}.tar.gz
# Source0-md5:	0d51a896a2f91c26a7dd8114953931bc
Source1:	%{name}.desktop
URL:		http://chimera.one.pl/~wolf/drzefko/
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	OpenGL-devel
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Toy showing use of fractals. Warning: GeForce class 3D accelerator is
recommended (but not required -- it was developed on Voodoo.)

%description -l es.UTF-8
Un juguete que muestra el uso de fractales. Aviso: se recomienda un
accelerador 3D de la clase de GeForce (sin embargo no se exige -- el
programa ha sido desarrollado bajo Voodoo).

%description -l pl.UTF-8
Zabawka pokazująca użycie fraktali. Uwaga: akcelerator klasy GeForce
jest zalecany (ale nie wymagany -- program był pisany pod Voodoo).

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} `sdl-config --cflags` -I/usr/X11R6/include -DDATADIR=\\\"%{_datadir}/drzefko/\\\" -DVERSION=\\\"%{version}\\\"" \
	LDFLAGS="%{rpmldflags} `sdl-config --libs` -L/usr/X11R6/lib -lGL -lGLU -lSDL_image"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_desktopdir},%{_datadir}/drzefko}

install drzefko $RPM_BUILD_ROOT%{_bindir}
install lisc.png $RPM_BUILD_ROOT%{_datadir}/drzefko/

install drzefko.png $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%lang(pl) %doc README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/drzefko
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: drzefko.spec,v $
Revision 1.18  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.16  2006/11/07 22:23:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.15  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.14  2004/07/04 00:56:46  havner
- rel up

Revision 1.13  2004/07/04 00:56:27  havner
- applnk -> vfolders

Revision 1.12  2003/12/10 13:12:11  undefine
- release 2 to rebuild to ac

Revision 1.11  2003/10/28 22:18:31  saq
- added missing BR & LDFLAGS
- es translations

Revision 1.10  2003/08/27 18:07:48  wolf
- mv pld.org.pl /dev/null

Revision 1.9  2003/05/26 16:24:55  malekith
- massive attack: adding Source-md5

Revision 1.8  2003/05/25 05:46:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/01/18 22:46:44  juandon
- removed two lines with define

Revision 1.6  2002/11/02 17:55:36  wolf
- 0.5.0
  63ce5abff0da967283f061622d781017  ../SOURCES/drzefko-0.5.0.tar.gz

Revision 1.5  2002/08/22 21:47:55  wolf
- URL & Source0

Revision 1.4  2002/07/31 13:30:37  orzech
- typo

Revision 1.3  2002/07/31 12:43:27  kloczek
- move desktop file to Source1,
- use new %doc.

Revision 1.2  2002/03/25 11:58:41  wolf
- 0.4.1

Revision 1.1  2002/03/21 10:39:04  wolf
- initial release, STBR
